import {Component} from "@angular/core";
import {Router} from "@angular/router-deprecated";
import {Location} from "@angular/common";
import * as ApplicationSettings from "application-settings";

@Component({
    selector: "list",
    templateUrl: "./components/list/list.xml",
})
export class ListComponent {

    private router: Router;
    public items: Array<Object>;

    constructor(router: Router, location: Location) {
        this.router = router;
        this.items = JSON.parse(ApplicationSettings.getString("items", "[]"));
        location.subscribe((path) => {
            this.items = JSON.parse(ApplicationSettings.getString("items", "[]"));
        });
    }

    navigateToCreate() {
        this.router.navigate(["Create"]);
    }

}
